\begin{titlepage}
  \begin{center}
    \vspace*{\fill}
    
%    { % Bold small caps doesn't work well... I just did it myself...
%      \textbf{
%        {\LARGE T}{\large RANSVERSAL}
%        {\LARGE T}{\large HIS},
%        {\LARGE T}{\large RANSVERSAL}
%        {\LARGE T}{\large HAT}
%      }
%    }
\begin{center}
    { % Bold small caps doesn't work well... I just did it myself...
      \textbf{
        \Large Your thesis title
              } 
    }
\end{center}
    
    \vspace{2cm}
    
    {
      \Large
      \textbf{Name}
    }

    \vspace{0.3cm}
    
    %Credentials
    {
      \normalsize
      Degree, Institution, Year
      
    }
    
    \vspace{3cm}

    {
      \large
      A thesis submitted for the degree of

      \vspace{0.25cm}
      
      \textbf{Doctor of Philosophy}

      \vspace{0.25cm}
      
      at Monash University in 20xx
    }
    
    \vspace{2.5cm}

    {
      \includegraphics[width=0.4\textwidth]{monash-logo}
    }

    {
      School of Mathematics
      
      Monash University
      
      Melbourne, Australia
      
      20xx
    }
    
    \vspace*{\fill}
  \end{center}
\end{titlepage}

\clearpage
